Name: enlightenment
Version: 0.16.6
Release: alt2
%define prefix %_x11dir
Serial: 1

Summary: The Enlightenment window manager
License: GPL
Group: Graphical desktop/Enlightenment
Url: http://www.enlightenment.org/

Source: %name-%version.tar.gz
Source1: Enlightenment.xpm
Source2: start%name
Source3: %name.wmsession

Source5: %name-menu.method
Source6: %name.xpm
Source7: %name-32.xpm

Patch0: %name-menukey.patch
Patch2: %name-0.16.6-disable-user-menu-generation.patch
Patch3: %name-0.16.6-disable-entry-for-user-menu-generation.patch
Patch4: %name-0.16.5-fix-%name.install.patch
Patch5: %name-0.16.6-alt-install.patch
# Automatically added by buildreq on Sat Dec 06 2003
BuildRequires: XFree86-bitmaps XFree86-devel-static XFree86-libs esound-devel fnlib-devel freetype-devel imlib-devel libaudiofile-devel libghttp-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel zlib-devel

%description
Enlightenment is a window manager for the X Window System that is designed to
be powerful, extensible, configurable and pretty darned good looking! It is one
of the more graphically intense window managers.

Enlightenment goes beyond managing windows by providing a useful and appealing
graphical shell from which to work. It is open in design and instead of
dictating a policy, allows the user to define their own policy, down to every
last detail.

This package will install the Enlightenment window manager.

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
perl -pi -e 's,/\$\(datadir\),%_datadir,g' po/Makefile.in.in
perl -pi -e 's,\${prefix}/\${DATADIRNAME}/locale,%_datadir/locale,g' configure
%build

  CFLAGS="$CFLAGS -I%_includedir/gnome-1.0" LOCALEDIR=%_datadir/locale %configure \
	--prefix=%_x11dir \
	--bindir=\${prefix}/bin \
	--mandir=\${prefix}/man \
	--datadir=\${prefix}/share \
	--libexecdir=\${prefix}/lib/X11 \
	--sysconfdir=%_sysconfdir/X11/%name \
	--enable-fsstd \
	--enable-sound \
	--enable-upgrade \
	--with-esd-prefix=%_prefix \
	--with-imlib-prefix=%_prefix \
	--enable-zoom

%make_build

%install
# configure script has a bug, localedir uses the prefix value instead
# of $prefix so it is needed to redefine it here with the build root value
%make_install install DESTDIR=%buildroot localedir=%_datadir/locale

pushd %buildroot%prefix/share/%name/themes
	for theme in BlueSteel BrushedMetal-Tigert Ganymede ShinyMetal; do
		pushd $theme
			for i in *.cfg; do
				[ -f $i.ja ] && ln -sf $i.ja $i.ru
			done
		popd
	done
popd

# Menu
mkdir -p %buildroot%_sysconfdir/X11/%name/menus
perl -lwne '/^__E_CFG_VERSION 0$/ and print("$_\n\n", qw@BEGIN_NEW_FILE_MENU("ALTLINUX_MENU", "ROOT", "/etc/X11/%name/menus/altlinux.menu")@, "\nEND_MENU") or /^ADD_MENU_SUBMENU_TEXT_ITEM.*APPS_SUBMENU/ and print("$_\n", qw@ADD_MENU_SUBMENU_TEXT_ITEM("Applications",        "ALTLINUX_MENU")@) or print;' src/themes/configs/menus.cfg > %buildroot/%prefix/share/%name/config/menus.cfg

# Menu method
%__install -pD -m755 %SOURCE5 %buildroot%_sysconfdir/menu-methods/%name

# Install icons
%__install -pD -m644 %SOURCE6 %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE7 %buildroot%_iconsdir/%name.xpm
%__install -p -m644 %SOURCE1 %buildroot%_iconsdir/

%__install -d 644 %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): needs=wm section=Session/Windowmanagers icon=%name.xpm title=Enlightenment command=%_x11bindir/%name
EOF

# wmsession.d
%__install -p -m755 %SOURCE2 %buildroot%_x11bindir/
%__install -pD -m644 %SOURCE3 %buildroot%_sysconfdir/X11/wmsession.d/05Enlightenment

%find_lang %name


%add_findreq_skiplist %_x11bindir/*.pl
%add_findreq_skiplist %_x11datadir/%name/E-docs/*.pl
%add_findreq_skiplist %_x11datadir/%name/config/*.pl
%add_findreq_skiplist %_x11datadir/%name/themes/*
%add_findprov_skiplist %_x11bindir/*.pl
%add_findprov_skiplist %_x11datadir/%name/E-docs/*.pl
%add_findprov_skiplist %_x11datadir/%name/config/*.pl
%add_findprov_skiplist %_x11datadir/%name/themes/*


%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%files -f %name.lang
%config(noreplace) %_sysconfdir/menu-methods/*
%dir %_sysconfdir/X11/enlightenment
%config(noreplace) %_sysconfdir/X11/enlightenment/menus
%config %_sysconfdir/X11/wmsession.d/*
%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_x11bindir/*
%_x11mandir/man1/*
%_x11datadir/%name

%changelog
* Sat Dec 06 2003 Alex Murygin <murygin@altlinux.ru> 1:0.16.6-alt2
- new version
- patches rediffed
- spec cleaning

* Sun Oct 05 2003 Alex Murygin <murygin@altlinux.ru> 1:0.16.6-alt1_pre7
- new version
- patches rediffed
- added add_findreq_skip & add_findprov_skiplist macroses for polish files

* Sat Jun 14 2003 Alex Murygin <murygin@altlinux.ru> 1:0.16.6-alt1_pre3
- new version
- patches cleaning

* Sat Apr 12 2003 Alex Murygin <murygin@altlinux.ru> 1:0.16.6-alt1_pre2
- new version
- removed user check in themes installation

* Wed Apr 09 2003 Alex Murygin <murygin@altlinux.ru> 1:0.16.6-alt1_pre0
- new version
- fixed locale dir

* Thu Oct 17 2002 AEN <aen@altlinux.ru> 1:0.16.5-alt5
- rebuild in new environment

* Fri Jan 11 2002 AEN <aen@logic.ru> 1:0.16.5-alt4
- menu fixed

* Wed Jan 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:0.16.5-alt3
- Updated wmsession.d and startup scripts.
- Moved locale files to %_datadir/locale.
- Minor specfile cleanup.

* Fri Jan 04 2002 AEN <aen@logic.ru> 0.16.5-alt2
- patches & menu method from MDK
- move to /usr/X11R6

* Thu Oct 11 2001 AEN <aen@logic.ru> 0.16.5-alt1
- Serial 1
- rebuild with libpng.so.3

* Sat Feb 17 2001 AEN <aen@logic.ru>
- group name fixed

* Wed Dec 06 2000 AEN <aen@logic.ru>
- build for 7.2RE

* Sat Sep 30 2000 AEN <aen@logic.ru>
- 0.16.5
- clean up spec

* Fri May 12 2000 AEN <aen@logic.ru>
- built for Appendix
- po-files problem fixed
